package com.gic.auth.dto;

import java.io.Serializable;
import java.util.List;

/**
 * 资源组用户域授权信息
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/25 9:59 AM 
 */
public class CustomAreaDTO implements Serializable{
    private static final long serialVersionUID = 9035915394117084382L;

    /**
     * 用户域 0:不授予 1:授予
     */
    private Integer customUser;

    /**
     * 用户域配置json转为类
     */
    private List<ResourceGroupCustomUserDTO> customUserList;

    /**
     * 线下门店订单 1:用户在授权管辖门店范围内的订单 2:用户下所有订单
     */
    private Integer storeOrderArea;

    /**
     * 微盟商城订单 1:用户在授权店铺范围内的订单 2:不授予
     */
    private Integer weimobOrderArea;

    /**
     * 微盟店铺多选，weimob_order_area选择1时选择店铺
     */
    private List<Long> weimobStoreId;

    /**
     * 短信签名
     */
    private List<Long> smsId;

    public Integer getCustomUser() {
        return customUser;
    }

    public CustomAreaDTO setCustomUser(Integer customUser) {
        this.customUser = customUser;
        return this;
    }

    public List<ResourceGroupCustomUserDTO> getCustomUserList() {
        return customUserList;
    }

    public CustomAreaDTO setCustomUserList(List<ResourceGroupCustomUserDTO> customUserList) {
        this.customUserList = customUserList;
        return this;
    }

    public Integer getStoreOrderArea() {
        return storeOrderArea;
    }

    public CustomAreaDTO setStoreOrderArea(Integer storeOrderArea) {
        this.storeOrderArea = storeOrderArea;
        return this;
    }

    public Integer getWeimobOrderArea() {
        return weimobOrderArea;
    }

    public CustomAreaDTO setWeimobOrderArea(Integer weimobOrderArea) {
        this.weimobOrderArea = weimobOrderArea;
        return this;
    }

    public List<Long> getWeimobStoreId() {
        return weimobStoreId;
    }

    public CustomAreaDTO setWeimobStoreId(List<Long> weimobStoreId) {
        this.weimobStoreId = weimobStoreId;
        return this;
    }

    public List<Long> getSmsId() {
        return smsId;
    }

    public CustomAreaDTO setSmsId(List<Long> smsId) {
        this.smsId = smsId;
        return this;
    }

    @Override
    public String toString() {
        return "CustomAreaDTO{" +
                "customUser=" + customUser +
                ", customUserList=" + customUserList +
                ", storeOrderArea=" + storeOrderArea +
                ", weimobOrderArea=" + weimobOrderArea +
                ", weimobStoreId=" + weimobStoreId +
                ", smsId=" + smsId +
                '}';
    }
}
