package com.gic.auth.dto;

import java.io.Serializable;
import java.util.List;

/**
 * 资源组用户域配置信息
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/11 2:04 PM 
 */
public class CustomUserAreaDTO implements Serializable{
    private static final long serialVersionUID = -7882456883745105099L;

    /**
     * 1：全部   2：部分 超管就是1全部
     */
    private Integer type;

    /**
     * 用户域 0:不授予 1:授予
     */
    private Integer customUser;

    /**
     * 用户域配置json转为类
     */
    private List<ResourceGroupCustomUserDTO> customUserList;

    /**
     * 线下门店订单 1:用户在授权管辖门店范围内的订单 2:用户下所有订单
     */
    private Integer storeOrderArea;

    /**
     * 微盟商城订单 1:用户在授权店铺范围内的订单 2:不授予
     */
    private Integer weimobOrderArea;

    /**
     * 微盟店铺多选，weimob_order_area选择1时选择店铺
     */
    private List<Long> weimobStoreId;

    /**
     * 微盟店铺多选(业务使用：只存本商户自有的店铺数据)，weimob_order_area选择1时选择店铺,英文逗号隔开。为了避免重复授权，新增一个特有字段
     */
    private List<Long> weimobStoreIdOwn;

    /**
     * 微盟店铺多选(业务使用：只存共享的店铺数据)，weimob_order_area选择1时选择店铺,英文逗号隔开。为了避免重复授权，新增一个特有字段
     */
    private List<Long> weimobStoreIdShare;

    /**
     * 短信签名
     */
    private List<Long> smsId;

    public Integer getType() {
        return type;
    }

    public CustomUserAreaDTO setType(Integer type) {
        this.type = type;
        return this;
    }

    public Integer getCustomUser() {
        return customUser;
    }

    public CustomUserAreaDTO setCustomUser(Integer customUser) {
        this.customUser = customUser;
        return this;
    }

    public List<ResourceGroupCustomUserDTO> getCustomUserList() {
        return customUserList;
    }

    public CustomUserAreaDTO setCustomUserList(List<ResourceGroupCustomUserDTO> customUserList) {
        this.customUserList = customUserList;
        return this;
    }

    public Integer getStoreOrderArea() {
        return storeOrderArea;
    }

    public CustomUserAreaDTO setStoreOrderArea(Integer storeOrderArea) {
        this.storeOrderArea = storeOrderArea;
        return this;
    }

    public Integer getWeimobOrderArea() {
        return weimobOrderArea;
    }

    public CustomUserAreaDTO setWeimobOrderArea(Integer weimobOrderArea) {
        this.weimobOrderArea = weimobOrderArea;
        return this;
    }

    public List<Long> getWeimobStoreId() {
        return weimobStoreId;
    }

    public CustomUserAreaDTO setWeimobStoreId(List<Long> weimobStoreId) {
        this.weimobStoreId = weimobStoreId;
        return this;
    }

    public List<Long> getSmsId() {
        return smsId;
    }

    public CustomUserAreaDTO setSmsId(List<Long> smsId) {
        this.smsId = smsId;
        return this;
    }

    public List<Long> getWeimobStoreIdOwn() {
        return weimobStoreIdOwn;
    }

    public CustomUserAreaDTO setWeimobStoreIdOwn(List<Long> weimobStoreIdOwn) {
        this.weimobStoreIdOwn = weimobStoreIdOwn;
        return this;
    }

    public List<Long> getWeimobStoreIdShare() {
        return weimobStoreIdShare;
    }

    public CustomUserAreaDTO setWeimobStoreIdShare(List<Long> weimobStoreIdShare) {
        this.weimobStoreIdShare = weimobStoreIdShare;
        return this;
    }

    @Override
    public String toString() {
        return "CustomUserAreaDTO{" +
                "type=" + type +
                ", customUser=" + customUser +
                ", customUserList=" + customUserList +
                ", storeOrderArea=" + storeOrderArea +
                ", weimobOrderArea=" + weimobOrderArea +
                ", weimobStoreId=" + weimobStoreId +
                ", weimobStoreIdOwn=" + weimobStoreIdOwn +
                ", weimobStoreIdShare=" + weimobStoreIdShare +
                ", smsId=" + smsId +
                '}';
    }
}
