package com.gic.auth.dto;

import java.io.Serializable;
import java.util.Map;

/**
 * 资源组-商品资源
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/12 1:56 PM 
 */
public class GoodsResourceDTO implements Serializable{
    private static final long serialVersionUID = 1952598117730776461L;

    /**
     * 废弃     商品资源选择器ID，可能为空（前端没有给值）
     */
    private Long goodsResourceId;

    /**
     * 1：全部 (超管)  2：部分
     */
    private Integer type;

    /**
     * 废弃，因为商品组件里面已有 type 为部分时，再判断该字段   商品资源授予状态 1:授予 0:不授予
     */
    private Integer goodsResourceAuth;

    /**
     * type 为部分时，再判断该字段 商品资源配置。json字符串。key:一个商户ID Value:商品选择器ID value如果为空，则说明该商户不授予商品资源
     */
    private String goodsResourceConfig;

    /**
     * type 为部分时，再判断该字段 goodsResourceConfig 解析。key:商户ID value：商品选择器ID value如果为空，则说明该商户不授予商品资源
     */
    private Map<Integer, Long> goodsResourceEntMapSelectId;

    public Long getGoodsResourceId() {
        return goodsResourceId;
    }

    public GoodsResourceDTO setGoodsResourceId(Long goodsResourceId) {
        this.goodsResourceId = goodsResourceId;
        return this;
    }

    public Integer getType() {
        return type;
    }

    public GoodsResourceDTO setType(Integer type) {
        this.type = type;
        return this;
    }

    public Integer getGoodsResourceAuth() {
        return goodsResourceAuth;
    }

    public GoodsResourceDTO setGoodsResourceAuth(Integer goodsResourceAuth) {
        this.goodsResourceAuth = goodsResourceAuth;
        return this;
    }

    public String getGoodsResourceConfig() {
        return goodsResourceConfig;
    }

    public GoodsResourceDTO setGoodsResourceConfig(String goodsResourceConfig) {
        this.goodsResourceConfig = goodsResourceConfig;
        return this;
    }

    public Map<Integer, Long> getGoodsResourceEntMapSelectId() {
        return goodsResourceEntMapSelectId;
    }

    public GoodsResourceDTO setGoodsResourceEntMapSelectId(Map<Integer, Long> goodsResourceEntMapSelectId) {
        this.goodsResourceEntMapSelectId = goodsResourceEntMapSelectId;
        return this;
    }

    @Override
    public String toString() {
        return "GoodsResourceDTO{" +
                "goodsResourceId=" + goodsResourceId +
                ", type=" + type +
                ", goodsResourceAuth=" + goodsResourceAuth +
                ", goodsResourceConfig='" + goodsResourceConfig + '\'' +
                ", goodsResourceEntMapSelectId=" + goodsResourceEntMapSelectId +
                '}';
    }
}
