package com.gic.auth.dto;

import java.io.Serializable;
import java.util.List;

/**
 * 联合商户资源授权通知
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/24 4:50 PM 
 */
public class UnionEnterpriseAuthResNoticeDTO implements Serializable{
    private static final long serialVersionUID = -7222957448764839407L;

    /**
     * TransmitDataDTO transmitDataDTO = TransmitDataHolder.get(); json字符串
     */
    private String logParams;
    /**
     * 自有商户ID
     */
    private Integer ownEnterpriseId;

    /**
     * 联合商户ID
     */
    private Integer unionEnterpriseId;

    /**
     * 门店资源
     */
    private Long storeResource;

    /**
     * 废弃字段。商品资源
     */
    private Long goodsResourceId;

    /**
     * 用户域的域数据变更信息
     */
    private List<UserResourceChangeInfoDTO> userResourceInfoList;

    /**
     * 最新的资源组用户域配置信息
     */
    private CustomAreaDTO customAreaDTO;

    /**
     * 1 : 初始化 2：资源组变更
     */
    private Integer resourceGroupChangeType;

    /**
     * 短信签名多选，英文逗号隔开
     */
    private String smsId;

    /**
     *  商品资源配置。json字符串。key:一个商户ID Value:商品选择器ID value如果为空，则说明该商户不授予商品资源
     * 可转化为Map<Integer, Long>，遍历map
     */
    private String goodsResourceConfig;

    public Long getStoreResource() {
        return storeResource;
    }

    public UnionEnterpriseAuthResNoticeDTO setStoreResource(Long storeResource) {
        this.storeResource = storeResource;
        return this;
    }

    public Long getGoodsResourceId() {
        return goodsResourceId;
    }

    public UnionEnterpriseAuthResNoticeDTO setGoodsResourceId(Long goodsResourceId) {
        this.goodsResourceId = goodsResourceId;
        return this;
    }

    public List<UserResourceChangeInfoDTO> getUserResourceInfoList() {
        return userResourceInfoList;
    }

    public UnionEnterpriseAuthResNoticeDTO setUserResourceInfoList(List<UserResourceChangeInfoDTO> userResourceInfoList) {
        this.userResourceInfoList = userResourceInfoList;
        return this;
    }

    public Integer getOwnEnterpriseId() {
        return ownEnterpriseId;
    }

    public UnionEnterpriseAuthResNoticeDTO setOwnEnterpriseId(Integer ownEnterpriseId) {
        this.ownEnterpriseId = ownEnterpriseId;
        return this;
    }

    public Integer getUnionEnterpriseId() {
        return unionEnterpriseId;
    }

    public UnionEnterpriseAuthResNoticeDTO setUnionEnterpriseId(Integer unionEnterpriseId) {
        this.unionEnterpriseId = unionEnterpriseId;
        return this;
    }

    public CustomAreaDTO getCustomAreaDTO() {
        return customAreaDTO;
    }

    public UnionEnterpriseAuthResNoticeDTO setCustomAreaDTO(CustomAreaDTO customAreaDTO) {
        this.customAreaDTO = customAreaDTO;
        return this;
    }

    public Integer getResourceGroupChangeType() {
        if (resourceGroupChangeType == null) {
            return 1;
        }
        return resourceGroupChangeType;
    }

    public UnionEnterpriseAuthResNoticeDTO setResourceGroupChangeType(Integer resourceGroupChangeType) {
        this.resourceGroupChangeType = resourceGroupChangeType;
        return this;
    }

    public String getLogParams() {
        return logParams;
    }

    public UnionEnterpriseAuthResNoticeDTO setLogParams(String logParams) {
        this.logParams = logParams;
        return this;
    }

    public String getSmsId() {
        return smsId;
    }

    public UnionEnterpriseAuthResNoticeDTO setSmsId(String smsId) {
        this.smsId = smsId;
        return this;
    }

    public String getGoodsResourceConfig() {
        return goodsResourceConfig;
    }

    public UnionEnterpriseAuthResNoticeDTO setGoodsResourceConfig(String goodsResourceConfig) {
        this.goodsResourceConfig = goodsResourceConfig;
        return this;
    }

    @Override
    public String toString() {
        return "UnionEnterpriseAuthResNoticeDTO{" +
                "ownEnterpriseId=" + ownEnterpriseId +
                ", unionEnterpriseId=" + unionEnterpriseId +
                ", storeResource=" + storeResource +
                ", goodsResourceId=" + goodsResourceId +
                ", userResourceInfoList=" + userResourceInfoList +
                ", customAreaDTO=" + customAreaDTO +
                ", resourceGroupChangeType=" + resourceGroupChangeType +
                ", logParams=" + logParams +
                ", smsId=" + smsId +
                ", goodsResourceConfig=" + goodsResourceConfig +
                '}';
    }
}
