package com.gic.auth.dao.mapper;

import com.gic.auth.entity.TabSysResourceGroup;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 资源组
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/8 4:44 PM 
 */
public interface TabSysResourceGroupMapper {

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysResourceGroup record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysResourceGroup record);

    /**
     * 根据主键查询
     *
     * @param resourceGroupId 主键
     * @return 实体对象
     */
    TabSysResourceGroup selectByPrimaryKey(Integer resourceGroupId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysResourceGroup record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysResourceGroup record);

    /**
     * 分页查询
     * @param name 资源组名称
     * @param enterpriseId
     * @return
     */
    List<TabSysResourceGroup> pageResourceGroup(@Param("name") String name,
                                                @Param("enterpriseId") Integer enterpriseId);

    /**
     * 详情
     * @param resourceGroupId
     * @return
     */
    TabSysResourceGroup getResourceGroup(@Param("resourceGroupId") Integer resourceGroupId);

    /**
     * 查询列表
     * @param resourceGroupIdList
     * @return
     */
    List<TabSysResourceGroup> listResourceGroupByIds(@Param("resourceGroupIdList") List<Integer> resourceGroupIdList);

    /**
     * 删除
     * @param resourceGroupId
     * @return
     */
    int deleteResourceGroup(@Param("resourceGroupId") Integer resourceGroupId);

    /**
     * 资源组名称重复数量
     * @param resourceGroupId
     * @param resourceGroupName
     * @param enterpriseId
     * @return
     */
    int countRepeatResourceGroupName(@Param("resourceGroupId") Integer resourceGroupId,
                                     @Param("resourceGroupName") String resourceGroupName,
                                     @Param("enterpriseId") Integer enterpriseId);
}