package com.gic.auth.entity;

import java.util.Date;

/**
 * 资源组
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/8 4:18 PM 
 */
public class TabSysResourceGroup {
    /**
     * 
     */
    private Integer resourceGroupId;

    /**
     * 资源名称
     */
    private String resourceGroupName;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 用户域 0:不授予 1:授予 
     */
    private Integer customUser;

    /**
     * 用户域配置，json格式 [{"type":1,"sort":1,"cu":"","cuSelectId":""}]
     */
    private String customUserData;

    /**
     * 门店资源
     */
    private Long storeResource;

    /**
     * 商品资源授予状态 1:授予 0:不授予
     */
    private Integer goodsResourceAuth;

    /**
     * 商品资源配置。json数组字符串。key:一个商户ID Value:商品选择器ID
     */
    private String goodsResourceConfig;

    /**
     * 商品资源
     */
    private Long goodsResourceId;

    /**
     * 线下门店订单 1:用户在授权管辖门店范围内的订单 2:用户下所有订单
     */
    private Integer storeOrderArea;

    /**
     * 微盟商城订单 1:用户在授权店铺范围内的订单 2:不授予
     */
    private Integer weimobOrderArea;

    /**
     * 前端使用：微盟店铺多选，weimob_order_area选择1时选择店铺,英文逗号隔开
     */
    private String weimobStoreId;

    /**
     * 微盟店铺多选(业务使用：只存本商户自有的店铺数据)，weimob_order_area选择1时选择店铺,英文逗号隔开。为了避免重复授权，新增一个特有字段
     */
    private String weimobStoreIdOwn;

    /**
     * 微盟店铺多选(业务使用：只存共享的店铺数据)，weimob_order_area选择1时选择店铺,英文逗号隔开。为了避免重复授权，新增一个特有字段
     */
    private String weimobStoreIdShare;

    /**
     * 短信签名多选，英文逗号隔开
     */
    private String smsId;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    /**
     * 状态（0：正常；1：删除）
     */
    private Integer deleteFlag;

    public Integer getResourceGroupId() {
        return resourceGroupId;
    }

    public TabSysResourceGroup setResourceGroupId(Integer resourceGroupId) {
        this.resourceGroupId = resourceGroupId;
        return this;
    }

    public String getResourceGroupName() {
        return resourceGroupName;
    }

    public TabSysResourceGroup setResourceGroupName(String resourceGroupName) {
        this.resourceGroupName = resourceGroupName;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public TabSysResourceGroup setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getCustomUser() {
        return customUser;
    }

    public TabSysResourceGroup setCustomUser(Integer customUser) {
        this.customUser = customUser;
        return this;
    }

    public String getCustomUserData() {
        return customUserData;
    }

    public TabSysResourceGroup setCustomUserData(String customUserData) {
        this.customUserData = customUserData;
        return this;
    }

    public Long getStoreResource() {
        return storeResource;
    }

    public TabSysResourceGroup setStoreResource(Long storeResource) {
        this.storeResource = storeResource;
        return this;
    }

    public Long getGoodsResourceId() {
        return goodsResourceId;
    }

    public TabSysResourceGroup setGoodsResourceId(Long goodsResourceId) {
        this.goodsResourceId = goodsResourceId;
        return this;
    }

    public Integer getStoreOrderArea() {
        return storeOrderArea;
    }

    public TabSysResourceGroup setStoreOrderArea(Integer storeOrderArea) {
        this.storeOrderArea = storeOrderArea;
        return this;
    }

    public Integer getWeimobOrderArea() {
        return weimobOrderArea;
    }

    public TabSysResourceGroup setWeimobOrderArea(Integer weimobOrderArea) {
        this.weimobOrderArea = weimobOrderArea;
        return this;
    }

    public String getWeimobStoreId() {
        return weimobStoreId;
    }

    public TabSysResourceGroup setWeimobStoreId(String weimobStoreId) {
        this.weimobStoreId = weimobStoreId;
        return this;
    }

    public String getSmsId() {
        return smsId;
    }

    public TabSysResourceGroup setSmsId(String smsId) {
        this.smsId = smsId;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public TabSysResourceGroup setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public TabSysResourceGroup setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public TabSysResourceGroup setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public String getWeimobStoreIdOwn() {
        return weimobStoreIdOwn;
    }

    public TabSysResourceGroup setWeimobStoreIdOwn(String weimobStoreIdOwn) {
        this.weimobStoreIdOwn = weimobStoreIdOwn;
        return this;
    }

    public String getWeimobStoreIdShare() {
        return weimobStoreIdShare;
    }

    public TabSysResourceGroup setWeimobStoreIdShare(String weimobStoreIdShare) {
        this.weimobStoreIdShare = weimobStoreIdShare;
        return this;
    }

    public Integer getGoodsResourceAuth() {
        return goodsResourceAuth;
    }

    public TabSysResourceGroup setGoodsResourceAuth(Integer goodsResourceAuth) {
        this.goodsResourceAuth = goodsResourceAuth;
        return this;
    }

    public String getGoodsResourceConfig() {
        return goodsResourceConfig;
    }

    public TabSysResourceGroup setGoodsResourceConfig(String goodsResourceConfig) {
        this.goodsResourceConfig = goodsResourceConfig;
        return this;
    }
}