package com.gic.auth.service;

import com.gic.auth.dto.ResourceGroupDTO;
import com.gic.auth.entity.TabSysResourceGroup;
import com.github.pagehelper.Page;

import java.util.List;

/**
 * 资源组
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/8 4:39 PM 
 */
public interface ResourceGroupService {

    /**
     * 新增
     * @param resourceGroup
     * @return
     */
    Integer saveResourceGroup(ResourceGroupDTO resourceGroup);

    /**
     * 编辑资源组
     * @param resourceGroup
     * @return 执行数量
     */
    int editResourceGroup(ResourceGroupDTO resourceGroup);

    /**
     * 分页查询资源组
     * @param name 资源组名称
     * @param enterpriseId
     * @param pageNum
     * @param pageSize
     * @return
     */
    Page<TabSysResourceGroup> pageResourceGroup(String name, Integer enterpriseId, Integer pageNum, Integer pageSize);

    /**
     * 列表
     * @param name
     * @param enterpriseId
     * @return
     */
    List<TabSysResourceGroup> listResourceGroup(String name, Integer enterpriseId);

    /**
     * 详情
     * @param resourceGroupId
     * @return
     */
    TabSysResourceGroup getResourceGroup(Integer resourceGroupId);

    /**
     * 查询列表
     * @param resourceGroupIdList
     * @return
     */
    List<TabSysResourceGroup> listResourceGroup(List<Integer> resourceGroupIdList);

    /**
     * 删除资源组
     * @param resourceGroupId
     * @return 执行数量
     */
    int deleteResourceGroup(Integer resourceGroupId);

    /**
     * 是否重复资源组名称
     * @param resourceGroupId
     * @param resourceGroupName
     * @param enterpriseId
     * @return
     */
    boolean isRepeatResourceGroupName(Integer resourceGroupId, String resourceGroupName, Integer enterpriseId);

}
