package com.gic.auth.utils.menu;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.MenuDTO;
import com.gic.auth.utils.ApplicationContextUtils;
import com.gic.enterprise.error.ErrorCode;

import java.util.HashMap;
import java.util.Map;

/**
 * 权限数据操作工具
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/16 11:01 AM 
 */
public class MenuOperationUtils {

    private static Map<Integer, AbstractMenuOperation> map = new HashMap<>(16);
    /**
     * 新增第一层级的菜单数据
     */
    public static final Integer SAVE_FIRST_PAGE = 1;
    static {
        map.put(SAVE_FIRST_PAGE, ApplicationContextUtils.getBean(GicMenuSave.class));
    }

    public static String test() {
        MenuDTO test = new MenuDTO();
        test.setProject("gic");
        test.setMenuVersion("basic,advanced");
        test.setMenuName("guojx_test1");
        test.setMenuCode("guojx_test1");
        test.setIsShow(1);
        test.setTarget(1);

        String result = map.get(SAVE_FIRST_PAGE).operate(test);
        return result;
    }

    public static String operate(MenuDTO menuDTO, Integer operateType) {
        return map.get(operateType).operate(menuDTO);
    }

    /**
     * 操作
     * @param menuDTO
     * @param operateType 操作类型
     * @return
     */
    public static ServiceResponse<Void> operateApi(MenuDTO menuDTO, Integer operateType) {
        String result = operate(menuDTO, operateType);
        if (result != null) {
            return ServiceResponse.failure(ErrorCode.PARAMETER_ERROR.getCode(), result);
        }
        return ServiceResponse.success();
    }
}
