package com.gic.auth.utils.resourcegroup;

import com.alibaba.fastjson.JSONObject;
import com.gic.auth.constant.ResourceHoldEnum;
import com.gic.auth.dto.GoodsResourceDTO;
import com.gic.auth.entity.TabSysResourceGroup;
import org.apache.commons.lang3.StringUtils;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import java.util.Map;

/**
 * 资源组-商品资源
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/12 2:29 PM 
 */
public class GoodsResourceData implements IResourceGroupData{
    private static Logger LOGGER = LogManager.getLogger(GoodsResourceData.class);
    @Override
    public <T> T getResourceData(TabSysResourceGroup resourceGroup) {
        String goodsResourceConfig = resourceGroup.getGoodsResourceConfig();
        Map<Integer, Long> goodsResourceEntMapSelectId = null;
        if (StringUtils.isNotBlank(goodsResourceConfig)) {
            try {
                goodsResourceEntMapSelectId = (Map<Integer, Long>) JSONObject.parse(goodsResourceConfig);
            } catch (Exception e) {
                LOGGER.info("资源组ID：{}.商品配置信息:{}", resourceGroup.getResourceGroupId(), goodsResourceConfig);
            }
        }
        return (T) new GoodsResourceDTO()
                .setType(ResourceHoldEnum.DART.getCode())
                .setGoodsResourceId(resourceGroup.getGoodsResourceId())
                .setGoodsResourceAuth(resourceGroup.getGoodsResourceAuth())
                .setGoodsResourceConfig(resourceGroup.getGoodsResourceConfig())
                .setGoodsResourceEntMapSelectId(goodsResourceEntMapSelectId);
    }

    @Override
    public <T> T getResourceDataForAdmin() {
        return (T) new GoodsResourceDTO()
                .setType(ResourceHoldEnum.ALL.getCode());
    }

    @Override
    public <T> T getResourceDataWhenNoExist() {
        return (T) new GoodsResourceDTO()
                .setType(ResourceHoldEnum.DART.getCode()).setGoodsResourceId(null);
    }
}
