package com.gic.auth.utils.resourcegroup;

import java.util.Collections;
import java.util.List;

import org.apache.commons.collections.CollectionUtils;

import com.gic.auth.constant.ResourceHoldEnum;
import com.gic.auth.dto.StoreResourceDTO;
import com.gic.auth.entity.TabSysResourceGroup;
import com.gic.auth.utils.ApplicationContextUtils;
import com.gic.store.service.StoreWidgetApiService;

/**
 * 资源组-门店资源
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/12 2:21 PM 
 */
public class StoreResourceData implements IResourceGroupData{
    @Override
    public <T> T getResourceData(TabSysResourceGroup resourceGroup) {
        StoreWidgetApiService storeWidgetApiService = ApplicationContextUtils.getBean("storeWidgetApiService");
        Long storeResource = resourceGroup.getStoreResource();

        StoreResourceDTO defaultResource = getResourceDataWhenNoExist();
        if (storeResource == null) {
            return (T) defaultResource;
        }
        defaultResource.setStoreResourceId(storeResource.intValue());
        List<Integer> result = storeWidgetApiService.listStoreInfoIdByStoreWidgetId(resourceGroup.getEnterpriseId(), storeResource.intValue()).getResult();
        if (CollectionUtils.isNotEmpty(result)) {
            defaultResource.setStoreIdList(result);
        }
        return (T) defaultResource;
    }

    @Override
    public <T> T getResourceDataForAdmin() {
        // 是超管就返回所有
        StoreResourceDTO superAdminResource = new StoreResourceDTO();
        superAdminResource.setType(ResourceHoldEnum.ALL.getCode());
        return (T) superAdminResource;
    }

    @Override
    public <T> T getResourceDataWhenNoExist() {
        StoreResourceDTO defaultResource = new StoreResourceDTO();
        defaultResource.setType(ResourceHoldEnum.DART.getCode());
        defaultResource.setStoreIdList(Collections.emptyList());
        return (T) defaultResource;
    }
}
